#
# spec file for package hdf5 (Version 1.4.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  g77 gpp libgpp libtool libz mpich
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils mpich ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         hdf5
Version:      1.4.0
Release:      99
Summary:      Hierarchical Data File Format Version 5
Copyright:  Copyright 1998, 1999 by the Board of Trustees of the University of Illinois
Group:      Beowulf/Scientific Computing
Requires:   mpich 
Autoreqprov: on
Source:  hdf5-%{version}.tar.bz2
#Patch:   hdf5-%{version}.dif
BuildRoot:  /tmp/hdf5-%{version}-root

%description
The HDF project involves the development and support of software and file formats for scientific data management. The HDF software includes I/O libraries and tools for analyzing, visualizing, and converting
scientific data.

Authors:
--------
    University of Illinois

SuSE series: beo

%prep
%setup -q
#%patch
mkdir build
cd build
	CC=/usr/lib/mpich/bin/mpicc \
	CPPFLAGS=-I/usr/lib/mpich/include \
      	LDFLAGS=-L/usr/lib/mpich/lib \
      ../configure --prefix=/usr --with-Stream-VFD --enable-production \
	--enable-parallel=mpich \
	--enable-cxx 
#	--enable-fortran \

%build
cd build
make

%install
cd build
install -d $RPM_BUILD_ROOT/usr/include
install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/bin
make prefix=$RPM_BUILD_ROOT/usr install
chmod +x $RPM_BUILD_ROOT/usr/lib/*.so.0.0.0

%files 
#%doc doc/* COPYING HISTORY INSTALL INSTALL_TFLOPS INSTALL_parallel
#%doc MANIFEST README RELEASE
/usr/include/*
/usr/lib/*
/usr/bin/*

%changelog -n hdf5
* Sat Mar 24 2001 - nashif@suse.de
-  Update to 1.4.0
* Thu Nov 02 2000 - nashif@suse.de
- Update to 1.2.2
- use BuildRoot
- fixed configure options
* Wed Jun 21 2000 - uli@suse.de
- fixed for PPC
* Wed May 31 2000 - marquardt@suse.de
- initial version
